# template: foreman_plugin
%global gem_name foreman_concrete
%global plugin_name concrete
%global foreman_min_version 1.19

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 4%{?foremandist}%{?dist}
Summary: Foreman plug-in to send exceptions to sentry
License: GPLv3
URL: https://github.com/timogoebel/foreman_concrete
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: ruby
BuildRequires: foreman-plugin >= %{foreman_min_version}
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Plug-in for The Foreman to send exceptions to sentry.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

# https://github.com/timogoebel/foreman_concrete/pull/3
%gemspec_remove_dep -g sentry-raven "~> 2.7"
%gemspec_add_dep -g sentry-raven [">= 2.7", "< 4"]

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%posttrans
%{foreman_plugin_log}

%changelog
* Thu Jul 14 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.0.0-4
- Regenerate spec
- Allow a newer sentry-raven

* Mon May 09 2022 Evgeni Golov - 1.0.0-3
- log plugin installation in posttrans

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0-2
- Rebuild plugins for Ruby 2.7

* Fri Jan 24 2020 Dirk Goetz 1.0.0-1
- Add rubygem-foreman_concrete generated by gem2rpm using the foreman_plugin template

